Page MenuHomePhabricator

Deploy Citoid Wikibase integration to Test Wikidata
Closed, ResolvedPublic

Description

@Mvolz already created an initial version of the Configuration message, so if there are no problems with the Beta deployment (T228411) this should be good to go with a few mediawiki-config changes.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2019, 12:11 PM

Change 514461 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Mvolz):
[operations/mediawiki-config@master] Enable reftabs on testwikidata

https://gerrit.wikimedia.org/r/514461

Change 514461 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reftabs on testwikidata

https://gerrit.wikimedia.org/r/514461

Mentioned in SAL (#wikimedia-operations) [2019-10-14T11:46:16Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:514461|Enable reftabs on testwikidata (T199197, T228412)]] (duration: 00m 51s)

As pointed out in the Gerrit comments, $wgWBCitoidFullRestbaseURL still needs to be set (most likely to http://en.wikipedia.org/api/rest_) to fully enable Citoid integration on Test Wikidata.

Change 543145 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Configure Citoid+Wikibase integration on Test Wikidata

https://gerrit.wikimedia.org/r/543145

Change 543145 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure Citoid+Wikibase integration on Test Wikidata

https://gerrit.wikimedia.org/r/543145

Mentioned in SAL (#wikimedia-operations) [2019-10-16T11:16:23Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:543145|Configure Citoid+Wikibase integration on Test Wikidata (T228412)]] (duration: 01m 13s)

Lucas_Werkmeister_WMDE closed this task as Resolved.Oct 16 2019, 11:38 AM
Lucas_Werkmeister_WMDE claimed this task.